import { readFileSync } from "fs";
import { join } from "path";

const DB_ENTRY_PATH = join(process.env.DATA as string, "DB");
export const ESSAY_ENTRY_PATH = join(DB_ENTRY_PATH, "Essay");
export const AVATAR_ENTRY_PATH = join(DB_ENTRY_PATH, "Avatar");

const EVENT_ENTRY_PATH = join(process.env.DATA as string, "Event");
export const TAEHUI_ENTRY_PATH = join(EVENT_ENTRY_PATH, "Taehui");

const SYSTEM_ENTRY_PATH = join(process.env.DATA as string, "System");
export const ASSETS_ENTRY_PATH = join(SYSTEM_ENTRY_PATH, "Assets");
export const DEFAULT_AVATAR_ASSET = readFileSync(
  join(ASSETS_ENTRY_PATH, "Avatar.png"),
);
